Delete subdomain
curl --request DELETE \
--url https://management-api.fpjs.io/subdomains/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://management-api.fpjs.io/subdomains/{id}"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://management-api.fpjs.io/subdomains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}subdomains
Delete subdomain
Delete a subdomain by ID.
DELETE
/
subdomains
/
{id}
Delete subdomain
Deletes the subdomain and revokes its SSL certificate. This action is irreversible.
Deleting a subdomain whose status is
active stops routing its traffic to Fingerprint. Any JavaScript agent still configured with this subdomain as its endpoints will fail to identify visitors, so update your agent configuration before you delete a subdomain that’s in use.
Note: Does not support Legacy subdomains. Migrate old certificates via the Dashboard to manage them via API.Was this page helpful?